/*******************************************************************************
 * Copyright (c) 2004-2010 Gabor Bergmann and Daniel Varro
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    Gabor Bergmann - initial API and implementation
 *******************************************************************************/

package hu.bme.mit.ftsrg.szilvas.model;


/**
 * @author Bergmann Gábor
 *
 */
public class Szilva extends Bennfoglalo {
	private int meret;
	private boolean serult;
	
	public Szilva(int meret, boolean serult) {
		super();
		this.meret = meret;
		this.serult = serult;
		
		berak(new SzilvaMag());
	}
	public int getMeret() {
		return meret;
	}
	public void setMeret(int meret) {
		this.meret = meret;
	}
	public boolean isSerult() {
		return serult;
	}
	public void setSerult(boolean serult) {
		this.serult = serult;
	}
	
	/* (non-Javadoc)
	 * @see hu.bme.mit.ftsrg.szilvas.model.Bennfoglalo#toString()
	 */
	@Override
	public String toString() {
		return super.toString() + " (" + meret + "," + serult +")";
	}
}
